package interfaces;

import java.awt.Graphics2D;

import utils.Point2f;

/*  ------------- Nihilne ------------
    * Created by Mitch Weaver - 2016 *
      ~~~~ All Rights Reserved ~~~~ */

public abstract class Structure implements GameObject  {
	
	public int itemId;
	public Point2f center, pos;
	public float radius;
	public float health = 100;
	
	public Structure(int itemId, Point2f center, int WIDTH, int HEIGHT){
		this.itemId = itemId;
		this.center = center;
		this.radius = WIDTH/2;
		this.pos = new Point2f(center.x - WIDTH/2, center.y - HEIGHT/2);
	}
	
	public abstract void destroy();
	
	public abstract void tick();
	
	public abstract void render(Graphics2D g2d);
}